package com.platform.entity;

import com.alibaba.fastjson.annotation.JSONField;

import java.util.List;

/**
 * @author abnerhou
 * @date 2020/9/11 21:13
 * @desciption
 */
public class WxLiveRoomListRspVo {


    /**
     * name : 直播房间名
     * roomid : 1
     * cover_img :
     * share_img :
     * live_status : 101
     * start_time : 1568128900
     * end_time : 1568131200
     * anchor_name : 里斯
     * goods : []
     * total : 1
     */

    @JSONField(name = "name")
    private String name;
    @JSONField(name = "roomid")
    private int roomid;
    @JSONField(name = "cover_img")
    private String coverImg;
    @JSONField(name = "share_img")
    private String shareImg;
    @JSONField(name = "live_status")
    private int liveStatus;
    @JSONField(name = "start_time")
    private int startTime;
    @JSONField(name = "end_time")
    private int endTime;
    @JSONField(name = "anchor_name")
    private String anchorName;
    @JSONField(name = "total")
    private int total;
    @JSONField(name = "goods")
    private List<WxLiveRoomGoodsVo> goods;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getRoomid() {
        return roomid;
    }

    public void setRoomid(int roomid) {
        this.roomid = roomid;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg;
    }

    public int getLiveStatus() {
        return liveStatus;
    }

    public void setLiveStatus(int liveStatus) {
        this.liveStatus = liveStatus;
    }

    public int getStartTime() {
        return startTime;
    }

    public void setStartTime(int startTime) {
        this.startTime = startTime;
    }

    public int getEndTime() {
        return endTime;
    }

    public void setEndTime(int endTime) {
        this.endTime = endTime;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public List<WxLiveRoomGoodsVo> getGoods() {
        return goods;
    }

    public void setGoods(List<WxLiveRoomGoodsVo> goods) {
        this.goods = goods;
    }
}
